package com.sun.org.apache.xml.internal.utils;

import java.util.Locale;
import org.xml.sax.ext.LexicalHandler;
import org.xml.sax.SAXException;
import org.xml.sax.ContentHandler;

public interface XMLString
{
    public abstract void dispatchCharactersEvents(ContentHandler p0) throws SAXException;
    
    public abstract void dispatchAsComment(LexicalHandler p0) throws SAXException;
    
    public abstract XMLString fixWhiteSpace(boolean p0, boolean p1, boolean p2);
    
    public abstract int length();
    
    public abstract char charAt(int p0);
    
    public abstract void getChars(int p0, int p1, char[] p2, int p3);
    
    public abstract boolean equals(XMLString p0);
    
    public abstract boolean equals(String p0);
    
    public abstract boolean equals(Object p0);
    
    public abstract boolean equalsIgnoreCase(String p0);
    
    public abstract int compareTo(XMLString p0);
    
    public abstract int compareToIgnoreCase(XMLString p0);
    
    public abstract boolean startsWith(String p0, int p1);
    
    public abstract boolean startsWith(XMLString p0, int p1);
    
    public abstract boolean startsWith(String p0);
    
    public abstract boolean startsWith(XMLString p0);
    
    public abstract boolean endsWith(String p0);
    
    public abstract int hashCode();
    
    public abstract int indexOf(int p0);
    
    public abstract int indexOf(int p0, int p1);
    
    public abstract int lastIndexOf(int p0);
    
    public abstract int lastIndexOf(int p0, int p1);
    
    public abstract int indexOf(String p0);
    
    public abstract int indexOf(XMLString p0);
    
    public abstract int indexOf(String p0, int p1);
    
    public abstract int lastIndexOf(String p0);
    
    public abstract int lastIndexOf(String p0, int p1);
    
    public abstract XMLString substring(int p0);
    
    public abstract XMLString substring(int p0, int p1);
    
    public abstract XMLString concat(String p0);
    
    public abstract XMLString toLowerCase(Locale p0);
    
    public abstract XMLString toLowerCase();
    
    public abstract XMLString toUpperCase(Locale p0);
    
    public abstract XMLString toUpperCase();
    
    public abstract XMLString trim();
    
    public abstract String toString();
    
    public abstract boolean hasString();
    
    public abstract double toDouble();
}
